DECLARE SUB EJECTION ()
DECLARE SUB SIMULATOR ()
DECLARE SUB ABOUT ()
DECLARE SUB ORBIT ()
DECLARE SUB O2 ()
DECLARE SUB PRESSURE ()
DECLARE SUB REENTRY ()
'LIBRARY
SCREEN 11

'MENU
1
CLS
LOCATE 10, 10: PRINT "AMERICAN LIBRARY OF AEROSPACE SCIENCES"
LOCATE 24, 10: PRINT "Select the number of the subject you wish to study."
LOCATE 12, 10: PRINT "1. Orbital Mechanics"
LOCATE 13, 10: PRINT "2. Oxygen And Carbon Monoxide In Life Support"
LOCATE 14, 10: PRINT "3. Re-entry Mechanics"
LOCATE 15, 10: PRINT "4. Apollo Space Craft Stage Ejection"
LOCATE 16, 10: PRINT "5. Apollo Space Craft Simulator"
LOCATE 17, 10: PRINT "6. About Moonshot"
LOCATE 18, 10: PRINT "7. Proceed To Space Center For Flight"
DO UNTIL INKEY$ = "": LOOP

DO
 CHOICE$ = INKEY$
 IF CHOICE$ = "1" THEN CALL ORBIT
 IF CHOICE$ = "2" THEN CALL O2
 IF CHOICE$ = "3" THEN CALL REENTRY
 IF CHOICE$ = "4" THEN CALL EJECTION
 IF CHOICE$ = "5" THEN SIMULATOR
 IF CHOICE$ = "6" THEN ABOUT
 IF CHOICE$ = "7" THEN RUN "MS1"
 IF CHOICE$ <> "" THEN
  CHOICE$ = ""
  GOTO 1
 END IF
LOOP

SUB ABOUT
CLS
PRINT
PRINT "                                  ABOUT MOONSHOT"
PRINT
PRINT "     The game MOONSHOT was conceived by myself, Mark Cerisano, after be-"
PRINT "coming interested in the Apollo space program from reading the book 'Apollo"
PRINT "13' which was originally titled 'Lost Moon'. After that book, I read another"
PRINT "entitled 'A Man On The Moon' which details all the Apollo missions."
PRINT "     I conceived the idea while working as a musician on a cruise ship."
PRINT "I had many free hours, besides practicing and playing, to develop the game."
PRINT "The most difficult part of the development was the gravitational force on"
PRINT "an object orbitting a planet. I actually gave up once and erased the whole"
PRINT "game, on purpose! The rest of the game is based on the Apollo missions"
PRINT "in the late 60's and early 70's, but is not completely accurate. There is no"
PRINT "docking with the lunar lander, there is no jetisoning of the service module,"
PRINT "the lunar lander lands and takes off in one piece, things like that."
PRINT "     Also, some of the values are not accurate. For example, the distance"
PRINT "between the earth and moon, the required velocity to escape the earth's"
PRINT "gravity, etc. However, all the variables are related to each other so that"
PRINT "the game is realistic to play."
PRINT "     If you have enjoyed this game and wish to show your appreciation or"
PRINT "if you have any comments about the game, please write to:"
PRINT "       Mark Cerisano mcerisano@hotmail.com"
PRINT "       531 Montford Drive"
PRINT "       Dollard Des Ormeaux, "
PRINT "       Quebec, Canada, H9G 1M7"
SLEEP


END SUB

SUB EJECTION
CLS
PRINT
PRINT "                APOLLO SPACE CRAFT STAGE EJECTION                    "
PRINT
PRINT "     After the Apollo space craft blasts into orbit there is a critical"
PRINT "manouver that must be done manually. This manouver involves the jetison-"
PRINT "ing and re-igniting of the rocket stages."
PRINT "     Each stage is equipped with jetison thrusters that will blow the"
PRINT "seals joining the two stages together. However, the fuel for these thrusters"
PRINT "comes from the fuel in the rocket stage. Therefore, one must jetison each"
PRINT "stage with enough fuel to fire the jetison thrusters. Specifically, there must"
PRINT "be at least one (1) second of fuel left in the stage to fire the jetison thrust-"
PRINT "ers."
PRINT "     After the spent stage is jetisoned, it must be allowed to fall free of"
PRINT "of the next stage's rocket exhaust before the next stage is ignited. The fuel"
PRINT "in the spent stage could ignite and the resulting explosion would set off"
PRINT "a chain reaction igniting all the remaining stages. In such a case, every-"
PRINT "thing would be incinerated instantly. Therefore it is imperative that the"
PRINT "spent stage is allowed to fall free of the next stage's exhaust. Specifically,"
PRINT "the next stage must be ignited no less than four (4) seconds after the spent"
PRINT "stage has been jetisoned."
SLEEP


END SUB

SUB O2
CLS
PRINT
PRINT "                THE ROLE OF OXYGEN AND CARBON DIOXIDE IN LIFE SUPPORT"
PRINT
PRINT "     It is commonly known that human beings need oxygen to live. But what is"
PRINT "not as obvious is that in an enclosed area, the build-up of carbon dioxide"
PRINT "can displace oxygen and cause death."
PRINT "     In an Apollo space craft, the only two gases present are oxygen (from"
PRINT "the onboard tanks) and carbon dioxide (waste gas from the astronauts). In"
PRINT "controlling these levels to sustain life, it helps to understand what these"
PRINT "levels must be."
PRINT "     At atmospheric pressure (approx. 14 psi), there is approximately 21%"
PRINT "oxygen present in normal atmospheric air. The contribution of the oxygen"
PRINT "to the total pressure is it's percentage, that is, .21 x 14 = 2.94 or appro-"
PRINT "ximately 3 psi. We call this the partial pressure of oxygen in atmospheric"
PRINT "air. In order to sustain life with the same effect, we must preserve this"
PRINT "partial pressure at 3 psi, whatever the total pressure of the enviroment may"
PRINT "be. This ensures that the surface of the lungs react with as many oxygen"
PRINT "molecules as they would if they were breathing regular air."
PRINT "     Now, in order to manufacture a space capsule that is as light as pos-"
PRINT "sible, and therefore save the precious fuel that is needed to carry every"
PRINT "pound of payload into space, the space capsule is designed to operate at"
PRINT "5 psi. In order to sustain life with the required oxygen, the capsule is"
PRINT "flooded with pure oxygen. Since there is no other gas present then the par-"
PRINT "ial pressure of the oxygen is the total pressure, ie 5 psi, more than that"
PRINT "of Earth's atmosphere."
SLEEP

CLS
PRINT
PRINT "                                                          Life Support Page 2"
PRINT
PRINT "     However, as the human body uses the oxygen, it produces the waste gas"
PRINT "carbon dioxide. Left unattended, the human body would convert oxygen into"
PRINT "carbon dioxide until the partial pressure of oxygen fell below a critical "
PRINT "level, approximately 2.25 psi, and would cease to be able to sustain human"
PRINT "life. In order to avoid the build-up of carbon dioxide, the capsule is equip-"
PRINT "ped with carbon dioxide scrubbing canisters which basically filter out the"
PRINT "carbon dioxide from the air. However, as the cabin pressure drops due"
PRINT "to the carbon dioxide being removed, so does the partial pressure of the ox-"
PRINT "ygen, and we still have the problem of life support. This is solved by sup-"
PRINT "plying the cabin with pure oxygen from tanks to maintain the cabin pressure"
PRINT "around 5 psi. "
PRINT "     From this it is apparent that maintaining a life supporting enviroment"
PRINT "under these circumstances involves some skill. If any one of the components"
PRINT "changes, a chain reaction indefinately leads to life support failure."
PRINT "     Basically there are three components involved: humans, CO2 scrubbing"
PRINT "canisters, and O2 tanks. The human presence causes the oxygen level to drop"
PRINT "while simultaneously causing the CO2 level to rise. However, since these"
PRINT "rates are more or less constant and unalterable, we must focus our attent-"
PRINT "ion on the other two in order to maintain our life sphere."
SLEEP

CLS
PRINT
PRINT "                                                          Life Support Page 3"
PRINT
PRINT "     A desirable life support state would involve an oxygen tank delivering"
PRINT "oxygen to the cabin at the same rate that CO2 is being siphoned off by the"
PRINT "filters. This would require an oxygen tank to be on line and with the valve"
PRINT "opened to the correct amount. (For the Apollo 18 capsule, tests have shown"
PRINT "a valve opening of 40% will sustain cabin pressure.)"
PRINT "     However should the filter become full or the tank empty, that balance"
PRINT "would be upset. Let us consider each case. If the filter became full, no"
PRINT "more CO2 would be removed from the cabin. The result would be a rise in"
PRINT "the perceptable CO2 in the cabin and a rise in the cabin preesure, since"
PRINT "the tank would still be supplying O2 into the cabin. The correct manouver"
PRINT "to counteract this situation would be, simply, to change the filter. Thus"
PRINT "the excess CO2 would be removed, and the cabin pressure would return to"
PRINT "normal. The filters are designed to remove CO2 at a much greater rate than"
PRINT "it is being produced, therefore they can reduce a large amount of CO2 quite"
PRINT "effectively."
PRINT "     In the case of the oxygen tanks running empty, the cabin pressure will"
PRINT "begin to drop as CO2 is siphoned out and nothing replaces it. Changing"
PRINT "O2 tanks will resume the balance, but at the new cabin pressure. An addi-"
PRINT "tional manouver could involve opening the oxygen valve a little until the"
PRINT "cabin pressure has returned to a desirable level."
SLEEP

CLS
PRINT
PRINT "                                                          Life Support Page 4"
PRINT
PRINT "     One interesting case can confuse. If the cabin pressure is rather high"
PRINT "when the filter gets full, the rise in cabin pressure, due to the CO2 not"
PRINT "being filtered, could set off the High Cabin Pressure Alarm at the same"
PRINT "time as the High CO2 Alarm. The important thing to realize in this case"
PRINT "is that once the filter is changed, it will remove all the excess CO2 and"
PRINT "the cabin pressure will return to normal, therefore any adjustment to the"
PRINT "oxygen valve is unnecessary."
SLEEP

END SUB

SUB ORBIT

CLS
PRINT
PRINT "                             Orbital Mechanics"
PRINT
PRINT "     Orbital mechanics is the study of the motion of one object or body"
PRINT "around another. While that object is in motion it is basically under the"
PRINT "influence of two forces - gravity and centrifical. In the case of orbital"
PRINT "mechanics, gravity pulls an object toward a planet while centrifical force"
PRINT "pulls the object away from the planet."
PRINT "     Gravity is the force that pulls two objects of mass - any two objects - "
PRINT "toward each other. The size of this force depends on two things - the total"
PRINT "mass of the two objects involved and the distance between them. The gravita-"
PRINT "tional force between two objects varies directly with the total mass of the"
PRINT "two objects. That is to say if the total mass is doubled then the gravitational"
PRINT "force will be doubled. However, in the case of an object orbiting the earth,"
PRINT "the total mass of the two objects involved is constant, the distance between"
PRINT "the two is not, however."
PRINT "     Gravity varies inversely with the square of the distance between two"
PRINT "objects. Simply put, this means if the distance between two objects is dou-"
PRINT "bled then the force of gravity decreases by a factor of 2 x 2 = 4. Another"
PRINT "example, if the distance is halved, then the force is quadrupled. For the"
PRINT "practical purpose of space flight this means that when a space capsule is"
PRINT "close to a planet, the force of gravity is extremely great, compared with"
PRINT "that of a capsule further away from the planet."

SLEEP
CLS
LOCATE 1, 60: PRINT "O. M. Page 2"
PRINT
PRINT "     Centrifical force depends on two things as well - the mass of a body and"
PRINT "it's velocity. Consider centrifical force as the force needed to hold onto"
PRINT "a ball on a string as you twirl it around your body. If the mass of the ball"
PRINT "is great then you will have to hold on tightly. The faster you twirl the ball,"
PRINT "the tighter you have to hold on. In fact, centrifical force varies directly"
PRINT "with mass and velocity. Since the mass of a space capsule is constant, the"
PRINT "only way to increase the pull on the capsule away from the planet is to in-"
PRINT "crease it's velocity. Double the velocity and you double the force."
PRINT "     The orbital path determined by a space craft travelling around a planet"
PRINT "is determined by the balancing of these two forces, gravity and centrifical."
PRINT "     Consider the off-center (or eccentric) orbital path shown in figure 1."

CIRCLE (200, 263), 10
CIRCLE (285, 263), 100, 1, 0, 6.28, .35
LOCATE 17, 22: PRINT "A"
LOCATE 14, 36: PRINT "B"
LOCATE 17, 50: PRINT "C"
LOCATE 20, 36: PRINT "D"
LOCATE 21, 22: PRINT "figure 1. Eccentric Orbital Path"
LOCATE 22, 1
PRINT
PRINT "     At point A the velocity of the orbitting body is greater than that which"
PRINT "would balance the force of gravity. This high velocity results in a high"
PRINT "centrifical force pulling the body away from the planet."
SLEEP

CLS
CIRCLE (200, 58), 10
CIRCLE (285, 58), 100, 1, 0, 6.28, .35
LOCATE 4, 22: PRINT "A"
LOCATE 1, 36: PRINT "B"
LOCATE 4, 50: PRINT "C"
LOCATE 7, 36: PRINT "D"
LOCATE 8, 22: PRINT "figure 1. Eccentric Orbital Path"
LOCATE 1, 60: PRINT "O.M. Page 3"
LOCATE 9, 1
PRINT
PRINT "     As the distance between the planet and the orbitting body increases, B,"
PRINT "the force of gravity decreases, but still manages to slow the space craft"
PRINT "down, slowly robbing it of the velocity that is contributing to the"
PRINT "centrifical force that is pulling the space craft away from the planet."
PRINT "     At C, the velocity has decreased so much that the force of gravity over-"
PRINT "comes the centrifical force and the space craft begins to fall back toward"
PRINT "the planet. At D, the velocity is increasing, hence the centrifical force "
PRINT "is increasing, and the space craft is getting closer to the planet, increas-"
PRINT "the force of gravity on it, thereby increasing it's speed. At A again, the"
PRINT "velocity has become so great that the centrifical force overcomes the force"
PRINT "of gravity and the space craft continues it's flight out into space again, B."
SLEEP

CLS
CIRCLE (200, 58), 10
CIRCLE (285, 58), 100, 1, 0, 6.28, .35
LOCATE 4, 22: PRINT "A"
LOCATE 1, 36: PRINT "B"
LOCATE 4, 50: PRINT "C"
LOCATE 7, 36: PRINT "D"
LOCATE 8, 22: PRINT "figure 1. Eccentric Orbital Path"
LOCATE 1, 60: PRINT "O.M. Page 4"
LOCATE 9, 1
PRINT
PRINT "CRITICAL POINTS"
PRINT
PRINT "     At point A, if the velocity is not great enough to overcome the force "
PRINT "of gravity then the space craft will spiral closer to the planet until"
PRINT "collision occurs."
PRINT "     At point C, if the velocity is too great then the force of gravity"
PRINT "will never overcome the centrifical force and the space ship will have"
PRINT "'broken free' of the planet's gravity and will continue increasing it's"
PRINT "distance from the planet."
PRINT "     Finally, two more points to consider - any course correction designed"
PRINT "to alter the craft's course at A is more efficient if done at C, when the"
PRINT "forces are minimum (gravity and centrifical). Also, a reverse thrust at A"
PRINT "will (if not too great) make the orbit more circular by reducing the altitude"
PRINT "at C while not affecting the altitude at A."
SLEEP

END SUB

SUB REENTRY

CLS
PRINT
PRINT "                    RE-ENTRY MECHANICS"
PRINT
PRINT "     This article will deal with the forces on an object in space as it"
PRINT "returns to earth from the vacuum of space to the comparitively dense atmo-"
PRINT "sphere of earth."
PRINT "     When a object begins it's descent into the atmosphere of earth there are"
PRINT "two variables we need to consider: 1) it's velocity and 2) the angle that"
PRINT "the object's path is making with the line tangent to the earth's atmosphere,"
PRINT "this angle being refered to as the angle of re-entry. Depending on what"
PRINT "these values are an object will either 1) burn up on re-entry, 2) bounce"
PRINT "of the earth's atmosphere, possibly into space forever or 3) re-enter the"
PRINT "earth's atmosphere safely."
PRINT "     With this in mind one can understand that there must be a combination"
PRINT "of velocity and re-entry angle that is desirable for safe re-entry. The mech-"
PRINT "anics involved in re-entry are as follows:"
PRINT "     The burning up of an object as it enters the atmoshpere, and the bouncing"
PRINT "of an object off that atmosphere, both have to do with the objects physical"
PRINT "reaction, or collision even, with the dense gaseous atmosphere. This reaction"
PRINT "is strongly affected by the velocity of a re-entering object. If an object"
PRINT "exceeds the maximum re-entry velocity for that object then it cannot re-"
PRINT "enter the atmosphere safely because no matter what the re-entry angle is, the"
PRINT "friction between the dense atmosphere and the object will be too great and"
PRINT "there will be an angle above which the object will burn up and below which"
PRINT "the object will bounce. Let's call this the critical angle of re-entry."
SLEEP

CLS
PRINT
PRINT "                                                Re-entry Mechanics Page 2"
PRINT
PRINT "     Below that maximum re-entry velocity there begins to exist a range"
PRINT "of velocities each with a corresponding range of re-entry angles where the"
PRINT "friction between an entering object and the dense atmosphere will disapate"
PRINT "safely and not cause the object to burn up completely. In the case of a"
PRINT "re-entering space capsule it is the capsule's heat shield that actually burns"
PRINT "up and flakes off, leaving the capsule itself intact."
PRINT "     Tests on Apollo class space capsules re-entering the earth's atmosphere"
PRINT "have determined the maximum re-entry angle to be 20 degrees. Any re-entry"
PRINT "angle greater than 20 degrees will result in too much friction for the heat"
PRINT "shields to disapate safely and will result in the total combustion of the"
PRINT "space craft and all payload, including life forms. Any re-entry angle less"
PRINT "than 20 degrees must be accompanied by a velocity less than the maximum re-"
PRINT "entry velocity of 10 mps. or else the excessive velocity will result in"
PRINT "the space craft bouncing off the atmosphere much like a pebble can skip"
PRINT "across the surface of a pond if thrown with enough velocity and at a shallow"
PRINT "enough angle."
PRINT "     In conclusion, the Apollo class space capsule has been designed to re-"
PRINT "enter the earth's atmosphere safely at a re-entry angle less than 20 degrees"
PRINT "and a re-entry velocity less than 10 mps."
SLEEP

END SUB

SUB SIMULATOR
CLS
PRINT
PRINT "                APOLLO SPACE CRAFT SIMULATOR"
PRINT
PRINT "     The Apollo space craft simulator is a program that simulates the"
PRINT "Apollo missions into space and the landing on the moon. There are a few"
PRINT "things you should know about the way it works that may help you get the"
PRINT "most out of your flight. First, after you have configured the space craft"
PRINT "for flight, you will find yourself at the launch pad. If you wish to by-"
PRINT "pass this screen, which is all automated anyway, simply press [space bar]"
PRINT "immediately after the first communication appears on the screen from Houston."
PRINT "     In addition there are a few other things that could help. Don't keep "
PRINT "pressing a key repeatedly if you only wanted it pressed once; the simulator"
PRINT "remembers every key pressed so it will store all the key presses and ex-"
PRINT "ecute them one at a time every computation cycle. In an emergency, you'll"
PRINT "have to wait for the key stroke buffer to empty before you can execute your"
PRINT "next keystroke."
PRINT "     The orientation of longitude is important to know where to land on the"
PRINT "moon for samples and where to splash down on earth to get rescued by the"
PRINT "aircraft carrier. The orientation of longitude for the earth and the moon"
PRINT "is shown below:         "
PRINT "                           90"
PRINT
PRINT "                     180       0"
PRINT
PRINT "                          270"
CIRCLE (220, 360), 20
SLEEP

CLS
PRINT
PRINT "                                              Apollo Simulator Page 2"
PRINT
PRINT "     During the re-entry portion of the simulation you may already know"
PRINT "visually what is to come, or you may just not want to wait for the animated"
PRINT "sequence to finish - simply press the [Space Bar] to bypass the animated"
PRINT "splash down and proceed directly to the newspaper article and mission re-"
PRINT "ports."
SLEEP


END SUB

